Bug 7614 - Switching from text to X gives blank screen
Summary: Switching from text to X gives blank screen
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 5.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-06 01:12 UTC by Kenn Humborg
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 16:18:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kenn Humborg 1999-12-06 01:12:59 UTC
Boot into text mode.  Log in as normal user (non-root).
Start an X session with startx.  Gnome desktop appears
as normal.  Hit Ctrl-Alt-F1 to switch back to text
console.  No problem here.  The monitor does its
re-syncing thing and clicks a relay as it adjusts to
the new video signal.  Hit Alt-F7 to switch back to X.
I get a blank screen.  The monitor doesn't resync,
suggesting that the X server hasn't re-programmed the
video card for graphics mode.

At this point, I have to reset the machine.  Ctrl-Alt-Del
works, both no other keyboard stuff works.  Caps-lock
doesn't toggle the LED.  Typing blind doesn't do anything
(such as echo XXX > /var/tmp/test ), even though an xterm
definitely would have focus on the X desktop.

Video card is Imagine I128.  XFree RPMs are 3.3.5-1.5.x.
I'm running xfs.  My gnome-core is 1.0.4-13rh and gnome-libs
is 1.0.8-2rh.  I can provide version of other gnome packages
if you want.

Interestingly, this doesn't happen if I start X by justing
running the X-server directly.  Of course, I only get the
'dots' initial X screen, but switching over and back to
text mode works fine.

Comment 1 Michael J Welker Jr 1999-12-07 17:00:59 UTC
Ditto when running xdm...
Autostart xdm for remote users, Ctrl-Alt-F2 for server console, and if you
attempt to switch back, everything locks up.
Ctrl-Alt-Del will not function, I'm forced to telnet in, and force shutdown to
regain the server console.

I don't seem to have an issue if I complete a xdm logon at the server console.

Michael.Welker@us.ibm.com

Comment 2 Preston Brown 2000-02-04 16:18:59 UTC
imagine 128 cards had problems with XFree86 3.3.5, but they have been fixed in
3.3.6 (next release).


Note You need to log in before you can comment on or make changes to this bug.